Inhalte
Index 🔎︎

# Funktion Chr

Gibt das zum angegebenen Zeichencode gehörige Zeichen zurück.

### Syntax:

Chr(Ausdruck As Integer)

### Rückgabewert:

String

### Parameter:

Ausdruck: Ein numerischer Ausdruck, der einen gültigen 8-Bit-ASCII-Wert (0-255) oder 16-Bit-Unicode-Wert darstellt.

Wenn der VBA-Kompatibilitätsmodus aktiviert ist (OPTION VBASUPPORT 1), ist Ausdruck ein numerischer Ausdruck, der nur einen gültigen 8-Bit-ASCII-Wert (0-255) darstellt.

Verwenden Sie die Funktion Chr$, um spezielle Steuersequenzen an einen Drucker oder ein anderes Ausgabegerät zu senden. Ebenso können Sie mit dieser Funktion Anführungszeichen in einen Zeichenkettenausdruck einfügen.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

6 Überlauf, wenn der VBA-Kompatibilitätsmodus aktiviert ist und der Ausdruck größer als 255 ist.

### Beispiel:

            Sub ExampleChr
                ' Dieses Beispiel fügt Anführungszeichen (ASCII-Wert 34) in eine Zeichenkette ein.
                MsgBox "Eine "+ Chr$(34)+"kleine" + Chr$(34)+" Reise."
                ' Bei der Ausgabe erscheint im Dialog: Eine "kleine" Reise.
            End Sub

Verwandte Themen

ASC